For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • GETGet user profile
      • POSTCreate user profile
      • PUTUpdate user profile
      • PATCHMerge user profiles
      • PATCHAdd/Update channel data
      • POSTDelete channel data
      • POSTDelete user profile
LogoLogo
LoginTalk to us
API ReferenceUser Profiles

Merge user profiles

PATCH
https://api.fyno.io/v1/:WSID/:version/profiles/:source_distinct_id/merge/:target_distinct_id
PATCH
/v1/:WSID/:version/profiles/:source_distinct_id/merge/:target_distinct_id
$curl -X PATCH https://api.fyno.io/v1/FYXXXXXXXX/live/profiles/XXXXXXXX/merge/XXXXXXXX \
> -H "Authorization: Bearer <apiKey>"
1{
2 "_message": "1 Record(s) updated and 1 Records(s) deleted",
3 "status": "ok"
4}
This API enables you to merge the attributes of a user profile to another user profile. The profile with source distinct ID is merged with the target profile, after which the source profile is automatically deleted. If the target distinct ID does not exist, the source distinct ID is updated to target distinct ID.
Was this page helpful?
Previous

Add/Update channel data

Next
Built with

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Specify the version for which you would like to manage the user profile.
Allowed values:
source_distinct_idstringRequired
Enter the source distinct ID that you wish to merge from.
target_distinct_idstringRequired
Enter the target distinct ID to which the profile should merge into.

Response

Profiles merged successfully and the source profile is deleted
_messagestring
statusstring

Errors

400
Bad Request Error
401
Unauthorized Error